=== geometry/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(geometry)
find_package(catkin REQUIRED)
catkin_metapackage()
