=== debian/changelog ===
ros-geometry (1.11.7-1) unstable; urgency=medium

  * Initial package. (Closes: #804935)

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Sat, 26 Dec 2015 12:22:44 +0000
