=== debian/changelog ===
ros-geometry (1.11.8-4) unstable; urgency=medium

  * rebuild due to changes in ros-genpy

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 16 Nov 2016 22:19:06 +0100

ros-geometry (1.11.8-3) unstable; urgency=medium

  * Add missing dependency for view_frames

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 05 Sep 2016 11:55:48 +0200

ros-geometry (1.11.8-2) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Update Vcs URLs
  * Update my email address

  [ Daniele E. Domenichelli ]
  * Add missing build dependencies (Closes: #835751)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 30 Aug 2016 22:49:13 +0200

ros-geometry (1.11.8-1) unstable; urgency=medium

  * Imported Upstream version 1.11.8

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jul 2016 10:41:01 +0200

ros-geometry (1.11.7-3) unstable; urgency=medium

  * Add breaks/replaces for moved package.xml

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Wed, 24 Feb 2016 21:15:29 +0100

ros-geometry (1.11.7-2) unstable; urgency=medium

  * Add dependency
  * Adopt to new libexec location in catkin
  * Fix location of package.xml for rosrun tf tf_remap

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Wed, 24 Feb 2016 12:18:20 +0100
