=== debian/control ===
--- 
+++ 
@@ -2,31 +2,40 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,  
-           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
+           Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Build-Depends: debhelper (>= 9),
-		catkin (>> 0.6.16-2), libroscpp-core-dev, ros-message-generation, libstd-msgs-dev,
+		catkin (>= 0.6.16-4), libroscpp-core-dev, ros-message-generation,
+		libstd-msgs-dev, ros-std-msgs,
 		python-all, python-setuptools, dh-python,
-		libgeometry-msgs-dev, libactionlib-msgs-dev,
+		libgeometry-msgs-dev, ros-geometry-msgs,
+		libactionlib-msgs-dev, ros-actionlib-msgs,
 		libconsole-bridge-dev, python-rospy, libpython-dev,
 		libactionlib-dev, librosconsole-dev,
-		libros-rosgraph-msgs-dev, libxmlrpcpp-dev,
+		libros-rosgraph-msgs-dev, ros-rosgraph-msgs,
+		libxmlrpcpp-dev,
 		libmessage-filters-dev, ros-cmake-modules, libeigen3-dev,
-		liborocos-kdl-dev, libsensor-msgs-dev, libbullet-dev,
+		liborocos-kdl-dev,
+		libsensor-msgs-dev, ros-sensor-msgs,
+		libbullet-dev,
 		libboost-dev, libboost-thread-dev, libboost-signals-dev,
 		libboost-filesystem-dev, libboost-regex-dev,
 		libroscpp-dev, libroscpp-msgs-dev,
-		python-tf2, libtf2-msgs-dev, libtf2-ros-dev, libangles-dev,
+		python-tf2,
+		libtf2-msgs-dev, ros-tf2-msgs,
+		libtf2-ros-dev, libangles-dev,
 		libtf2-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Section: libs
 Homepage: http://www.ros.org/wiki/geometry
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-geometry.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-geometry.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-geometry.git
+Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-geometry.git
 
 Package: libtf0d
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libtf-dev (<< 1.11.7-2)
+Replaces: libtf-dev (<< 1.11.7-2)
 Multi-Arch: same
 Description: Robot OS tf transform library to keep track of multiple coordinate frames
  tf is a package that lets the user keep track of multiple coordinate frames
@@ -66,7 +75,7 @@
 Section: utils
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, libtf0d ( = ${binary:Version}),
-   python-tf, python
+   python-tf, python, graphviz
 Description: Set of utilities to operate with the Robot OS tf lib
  This package is part of Robot OS (ROS), and contains transform
  library tools. Although tf is mainly a code library meant to be used
@@ -106,7 +115,7 @@
 Package: libtf-conversions-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libtf-conversions0d ( = ${binary:Version}), liborocos-kdl-dev
+Depends: ${misc:Depends}, libtf-conversions0d ( = ${binary:Version}), liborocos-kdl-dev, libeigen3-dev
 Description: Robot OS conversion library between Eigen, KDL and tf - development files
  This package contains a set of conversion functions to convert
  common tf datatypes (point, vector, pose, etc) into semantically
