=== debian/changelog ===
ros-geometry (1.11.9-3) unstable; urgency=medium

  * Disable python-tf-conversions until PyKDL is in Debian (Closes: #896310)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 21 Apr 2018 21:30:12 +0200

ros-geometry (1.11.9-2) unstable; urgency=medium

  * Update Vcs URLs to salsa.d.o
  * Add R³
  * http -> https
  * Fix homepage
  * Add missing dependency (Closes: #896294)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 21 Apr 2018 09:34:38 +0200

ros-geometry (1.11.9-1) unstable; urgency=medium

  * add Multi-Arch according to hinter
  * Update watch file
  * Remove old catkin version
  * New upstream version 1.11.9
  * Bump debhelper and standards version
  * Rebase patches
  * Remove binary python module, not build anymore

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 23 Dec 2017 22:19:29 +0100
