=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,  
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 9),
-		catkin (>= 0.6.16-4), libroscpp-core-dev, ros-message-generation,
+Build-Depends: debhelper (>= 10),
+		catkin, libroscpp-core-dev, ros-message-generation,
 		libstd-msgs-dev, ros-std-msgs,
 		python-all, python-setuptools, dh-python,
 		libgeometry-msgs-dev, ros-geometry-msgs,
@@ -14,7 +14,7 @@
 		libactionlib-dev, librosconsole-dev,
 		libros-rosgraph-msgs-dev, ros-rosgraph-msgs,
 		libxmlrpcpp-dev,
-		libmessage-filters-dev, ros-cmake-modules, libeigen3-dev,
+		libmessage-filters-dev, libeigen3-dev,
 		liborocos-kdl-dev,
 		libsensor-msgs-dev, ros-sensor-msgs,
 		libbullet-dev,
@@ -25,11 +25,12 @@
 		libtf2-msgs-dev, ros-tf2-msgs,
 		libtf2-ros-dev, libangles-dev,
 		libtf2-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Section: libs
-Homepage: http://www.ros.org/wiki/geometry
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-geometry.git
-Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-geometry.git
+Rules-Requires-Root: no
+Homepage: https://wiki.ros.org/geometry
+Vcs-Browser: https://salsa.debian.org/science-team/ros-geometry
+Vcs-Git: https://salsa.debian.org/science-team/ros-geometry.git
 
 Package: libtf0d
 Architecture: any
@@ -48,6 +49,7 @@
 Package: libtf-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, libtf0d ( = ${binary:Version}), libgeometry-msgs-dev, libmessage-filters-dev, ros-message-runtime, libroscpp-dev, libsensor-msgs-dev, libstd-msgs-dev, libtf2-ros-dev, librosconsole-dev
 Description: Robot OS tf transform library  - development files
  tf is a package that lets the user keep track of multiple coordinate frames
@@ -61,7 +63,7 @@
 Section: python
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, python-genpy, python-std-msgs,
-     python-geometry-msgs, python-sensor-msgs, ${python:Depends}
+     python-geometry-msgs, python-sensor-msgs, ${python:Depends}, python-numpy, python-tf2-ros
 XB-Python-Version: ${python:Versions}
 Description: Robot OS tf transform library - Python
  tf is a package that lets the user keep track of multiple coordinate frames
@@ -88,6 +90,7 @@
 Package: cl-tf
 Section: lisp
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Robot OS tf transform library -- LISP interface
  tf is a package that lets the user keep track of multiple coordinate frames
@@ -115,6 +118,7 @@
 Package: libtf-conversions-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, libtf-conversions0d ( = ${binary:Version}), liborocos-kdl-dev, libeigen3-dev
 Description: Robot OS conversion library between Eigen, KDL and tf - development files
  This package contains a set of conversion functions to convert
@@ -127,19 +131,18 @@
  This package contains the development files of tf-conversions library
  and is part of Robot OS (ROS).
 
-Package: python-tf-conversions
-Section: python
-Architecture: any
-Depends: ${python:Depends}, ${misc:Depends}, python-genpy, 
-     python-std-msgs, python-tf
-XB-Python-Version: ${python:Versions}
-Description: Robot OS conversion library between Eigen, KDL and tf - Python interface
- This package contains a set of conversion functions to convert
- common tf datatypes (point, vector, pose, etc) into semantically
- identical datatypes used by other libraries. The conversion functions
- make it easier for users of the transform library (tf) to work with  
- the datatype of their choice. Currently this package has support for 
- the Kinematics and Dynamics Library (KDL) and the Eigen matrix library.
- .
- This package contains the Python bindings and is part of Robot OS (ROS).
- 
+#Package: python-tf-conversions
+#Section: python
+#Architecture: any
+#Depends: ${python:Depends}, ${misc:Depends}, python-genpy,
+#     python-std-msgs, python-tf
+#XB-Python-Version: ${python:Versions}
+#Description: Robot OS conversion library between Eigen, KDL and tf - Python interface
+# This package contains a set of conversion functions to convert
+# common tf datatypes (point, vector, pose, etc) into semantically
+# identical datatypes used by other libraries. The conversion functions
+# make it easier for users of the transform library (tf) to work with
+# the datatype of their choice. Currently this package has support for
+# the Kinematics and Dynamics Library (KDL) and the Eigen matrix library.
+# .
+# This package contains the Python bindings and is part of Robot OS (ROS).
