=== tf/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,7 @@
 cmake_minimum_required(VERSION 2.8)
 project(tf)
+
+add_compile_options(-std=c++11)
 
 find_package(catkin REQUIRED COMPONENTS
     angles
@@ -18,9 +20,9 @@
 catkin_python_setup()
 
 include_directories(
+    include
     ${Boost_INCLUDE_DIR}
     ${catkin_INCLUDE_DIRS}
-    include
 )
 
 add_message_files(DIRECTORY msg FILES tfMessage.msg)
