=== tf_conversions/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 project(tf_conversions)
 
 find_package(orocos_kdl REQUIRED)
-find_package(catkin REQUIRED cmake_modules geometry_msgs kdl_conversions tf)
+find_package(catkin REQUIRED geometry_msgs kdl_conversions tf)
 find_package(Eigen3 REQUIRED)
 
 catkin_python_setup()
