=== debian/changelog ===
ros-geometry (1.12.0-6ubuntu3) focal; urgency=medium

  * Rebuild against new boost1.67.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Feb 2020 00:09:30 +0100

ros-geometry (1.12.0-6ubuntu2) focal; urgency=medium

  * Drop unused boost-signals build-dependency.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 10 Feb 2020 19:35:35 +0000

ros-geometry (1.12.0-6build2) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 10 Feb 2020 18:16:42 +0000

ros-geometry (1.12.0-6build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 06:11:59 +0000

ros-geometry (1.12.0-6) unstable; urgency=medium

  [ Johannes 'josch' Schauer ]
  * Add autopkgtest

  [ Jochen Sprickerhof ]
  * Drop Python 2 package (Closes: #938379)
  * switch to debhelper-compat and debhelper 12
  * Bump policy version (no changes)
  * simplify d/watch

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 25 Oct 2019 14:44:00 +0200

ros-geometry (1.12.0-5) unstable; urgency=medium

  * Add Python 3 packages
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 04 Nov 2018 11:26:56 +0100

ros-geometry (1.12.0-4) unstable; urgency=medium

  * Fix roscpp-msg* dependency
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 31 Jul 2018 22:21:54 +0200

ros-geometry (1.12.0-3) unstable; urgency=medium

  * Move package.xml back into -dev package

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 20 Jun 2018 08:43:07 +0200

ros-geometry (1.12.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 19 Jun 2018 08:40:18 +0200

ros-geometry (1.12.0-1) experimental; urgency=medium

  * New upstream version 1.12.0
  * Update patches
  * Bump SONAME
  * Bump policy version

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 16 Jun 2018 17:58:43 +0200
